# Poco::XML

# class SAXNotSupportedException

Library: XML
Package: SAX
Header: Poco/SAX/SAXException.h

## Description

Exception class for an unrecognized identifier.

An XMLReader will throw this exception when it finds an unrecognized feature or property identifier; SAX applications and extensions may use this class for other, similar purposes.

## Inheritance

Direct Base Classes: SAXException

All Base Classes: Poco::Exception, Poco::RuntimeException, SAXException, XMLException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SAXNotSupportedException

SAXNotSupportedException(
int code = 0
);

### SAXNotSupportedException

SAXNotSupportedException(
const SAXNotSupportedException & exc
);

### SAXNotSupportedException

SAXNotSupportedException(
const std::string & msg,
int code = 0
);

### SAXNotSupportedException

SAXNotSupportedException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SAXNotSupportedException

SAXNotSupportedException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SAXNotSupportedException

~SAXNotSupportedException() noexcept;

## Member Functions

### className

const char * className() const noexcept;

See also: Poco::XML::SAXException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const noexcept;

See also: Poco::XML::SAXException::name()

### operator =

SAXNotSupportedException & operator = (
const SAXNotSupportedException & exc
);

### rethrow

void rethrow() const;

See also: Poco::XML::SAXException::rethrow()